Fedora Packages

bash-argsparse

An high level argument parsing library for bash

An high level argument parsing library for bash. The purpose is to replace the option-parsing and usage-describing functions commonly rewritten in all scripts. This library is implemented for bash version 4. Prior versions of bash will fail at interpreting that code.

Releases Overview

Release Stable Testing
Fedora Rawhide 1.8-5.fc41 -
Fedora 40 1.8-4.fc40 -
Fedora 39 1.8-2.fc39 -
EPEL 9 1.8-1.el9 -
EPEL 8 1.8-1.el8 -
EPEL 7 1.7-1.el7 -
File a new bug report »
Package Info

You can contact the maintainers of this package via email at bash-argsparse dash maintainers at fedoraproject dot org.



Sources on Pagure